Bug 200612 - devel/tcllib fails to install due to incomplete pkg-list
Summary: devel/tcllib fails to install due to incomplete pkg-list
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-03 11:40 UTC by Trond.Endrestol
Modified: 2015-08-17 06:43 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tcltk)


Attachments
A quick'n'dirty patch for pkg-plist (457 bytes, text/plain)
2015-06-03 11:40 UTC, Trond.Endrestol
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trond.Endrestol 2015-06-03 11:40:58 UTC
Created attachment 157393 [details]
A quick'n'dirty patch for pkg-plist

During install of devel/tcllib, ports tree at r388427, stable/10 running r282578, the following happened:

===>   Registering installation for tcllib-1.17_1
pkg-static: Unable to access file /usr/ports/workdirs/usr/ports/devel/tcllib/work/stage/usr/local/lib/tcllib/tcllibc/freebsd-amd64/tcllibc.so: No such file or directory
*** Error code 74

It turns out that the directory
/usr/ports/workdirs/usr/ports/devel/tcllib/work/stage/usr/local/lib/tcllib/tcllibc/freebsd-amd64
is now named
/usr/ports/workdirs/usr/ports/devel/tcllib/work/stage/usr/local/lib/tcllib/tcllibc/freebsd-amd64-clang

A quick'n'dirty patch for pkg-plist is attached, but I guess this issue should be addressed differently, e.g. by changing the PLIST_SUB line at line 31 in Makefile.
Comment 1 Pietro Cerutti freebsd_committer 2015-06-03 13:38:37 UTC
Mikhail is working on this.
Comment 2 commit-hook freebsd_committer 2015-06-05 07:27:26 UTC
A commit references this bug:

Author: mi
Date: Fri Jun  5 07:26:31 UTC 2015
New revision: 388573
URL: https://svnweb.freebsd.org/changeset/ports/388573

Log:
  Split the compiled pieces out of tcllib into a slave port of its own to avoid
  a circular dependency: compiling C-files of tcllib requires critcl, but critcl
  requires the cmdline (pure-Tcl) component of tcllib.

  PR:		195863, 200612
  Approved by:	gahr (blanket)

Changes:
  head/devel/Makefile
  head/devel/critcl/Makefile
  head/devel/tcllib/Makefile
  head/devel/tcllib/pkg-descr
  head/devel/tcllib/pkg-plist
  head/devel/tcllibc/
  head/devel/tcllibc/Makefile
  head/devel/tcllibc/pkg-descr
  head/devel/tcllibc/pkg-plist
Comment 3 Pietro Cerutti freebsd_committer 2015-08-14 18:06:52 UTC
Is this safe to close?
Comment 4 Trond.Endrestol 2015-08-14 19:27:26 UTC
(In reply to Pietro Cerutti from comment #3)

All is fine by me.